<?php

//---------------------------------------------------------------------------------------------------------
// 08/Octubre/2014
// Versión 1.0 Este php contiene la función encargada de mostrar la miga según el caso
//---------------------------------------------------------------------------------------------------------
// 16/Octubre/2014
// Versión 2.0 Creamos esta opcion web como widget. Se pasa como parámetro la función a ejecutar (el tipo de objeto que queremos crear)
//---------------------------------------------------------------------------------------------------------



function widget_sinli($nombre_funcion = 'fichero_sinli') {
    include('comunes/globals.php');
    //Aquí definimos una serie de parámetros que necesitamos
    $funcion_por_defecto = 'fichero_sinli';
    $parametros_por_defecto = array();
    $parametros_recibidos = func_get_args();
    if (count($parametros_recibidos) == 0) {
        $parametros_recibidos[0] = $funcion_por_defecto;
    } else {
        if (($parametros_recibidos[0] == '') || ($parametros_recibidos[0] == NULL)) {
            $parametros_recibidos[0] = $funcion_por_defecto;
        }
    }
    $parametros_recibidos = mezcla_array_parametros($parametros_por_defecto, $parametros_recibidos);
    $retorno = false;
    //Si entre los parámetros recibidos, tenemos el nombre de la función continuamos
    if (count($parametros_recibidos) > 0) {
        //Recogemos el nombre de la función de entre el resto de parámetros
        $nombre_funcion = $parametros_recibidos[0];
        //Quitamos el primer elemento de los parámetros, pues es el nombre de la función
        $parametros_recibidos = array_slice($parametros_recibidos, 1);
        //Si la función existe la ejecutamos
        if (function_exists($nombre_funcion)) {
            $retorno = call_user_func_array($nombre_funcion, $parametros_recibidos);
        }
    }
    return($retorno);
}

function fichero_sinli($fichero_sinli = '', $numero_fichero = NULL) {
    include('comunes/globals.php');
    if (($fichero_sinli != NULL) && (is_a($fichero_sinli, "OpcionesWidget"))) {
        $opciones = $fichero_sinli;
        $fichero_sinli = '';
        $numero_fichero = NULL;
        if (is_a($opciones, 'OpcionesWidget')) {
            $fichero_sinli = ($opciones->configuracion->fichero_sinli != NULL) ? $opciones->configuracion->fichero_sinli : $fichero_sinli;
            $numero_fichero = ($opciones->configuracion->numero_fichero != NULL) ? $opciones->configuracion->numero_fichero : $numero_fichero;
        }
    }
    $ruta_fichero = $fichero_sinli . '_sinli.php';
    $ruta_fichero = Theme::findFile($ruta_fichero);
    if ($ruta_fichero != NULL) {
        include($ruta_fichero);
    } else {
        ?>
        <p class="error_sinli"><?= traducir('Error al abrir el fichero SINLI'); ?></p>
        <?php
    }
    return(true);
}
?>